#!/bin/bash

rm -Rf data
mkdir -p data
chown 0:0 data
chmod 700 data

rm -f buzz.fft saw.fft

cd src/

make clean_all
make all clean

./fftgen ../buzz.fft ../saw.fft

make clean_all

cd ../data/

SmpGen ../buzz.fft buzz
SmpGen ../saw.fft saw
SmpGen2 ../buzz.fft buzz-44100Hz 22050.0
SmpGen2 ../saw.fft saw-44100Hz 22050.0

chown 0:0 *
chmod 444 *

FILELIST=`ls`
CUR_PATH=`pwd`

cd /Csound/Samples/

rm -f ${FILELIST}

cd "${CUR_PATH}"

mv -f ${FILELIST} /Csound/Samples/

cd ../

rm -Rf data buzz.fft saw.fft


